<?php

namespace Center\Capsule\Constants;

class ModelsConst extends BaseConst
{
    public static $modelStatus = [
        'disabled' => [
            'title' => '未启用',
            'value' => 1
        ],
        'enable'   => [
            'title' => '启用',
            'value' => 2
        ]
    ];

    public static $pageCount = 20;


    const MODEL_NAMESPACE_PREFIX = 'App\\Models\\Dynamic';
    const MODEL_DIR = '/Models/Dynamic';
    const COMMON_MODEL_FILE_PATH = '/modelTemplates/';
    const COMMON_MODEL_FILE_NAME = 'commonModel.tpl';
    const PERM_DATA_FILE_NAME = 'permissionData.tpl';
}

