[
    {
        "code": "{application_key}.{model_key}.properties",
        "name": "{application_name}应用-获取{model_name}表字段",
        "application_key": "{application_key}",
        "method": "GET",
        "type": "operation",
        "route": "capsule/model/properties"
    },
    {
        "code": "{application_key}.{model_key}.update",
        "name": "{application_name}应用-{model_name}表更新",
        "application_key": "{application_key}",
        "method": "PUT",
        "type": "operation",
        "route": "capsule/model"
    },
    {
        "code": "{application_key}.{model_key}.list",
        "name": "{application_name}应用-{model_name}表列表",
        "application_key": "{application_key}",
        "method": "GET",
        "type": "operation",
        "route": "capsule/model"
    },
    {
        "code": "{application_key}.{model_key}.delete",
        "name": "{application_name}应用-{model_name}表删除",
        "application_key": "{application_key}",
        "method": "DELETE",
        "type": "operation",
        "route": "capsule/model/(^\\w*$)/(^\\w*$)"
    },
    {
        "code": "{application_key}.{model_key}.detail",
        "name": "{application_name}应用-{model_name}表详情",
        "application_key": "{application_key}",
        "method": "GET",
        "type": "operation",
        "route": "capsule/model/detail/(^\\w*$)"
    },
    {
        "code": "{application_key}.{model_key}.property_detail",
        "name": "{application_name}应用-获取{model_name}表下某个字段详情",
        "application_key": "{application_key}",
        "method": "GET",
        "type": "operation",
        "route": "capsule/model/(^\\w*$)/property/(^\\w*$)"
    },
    {
        "code": "{application_key}.{model_key}_property.create",
        "name": "{application_name}应用-{model_name}表创建字段",
        "application_key": "{application_key}",
        "method": "POST",
        "type": "operation",
        "route": "capsule/property\/[a-zA-Z0-9]+$"
    },
    {
        "code": "{application_key}.{model_key}_property.update",
        "name": "{application_name}应用-{model_name}表更新字段",
        "application_key": "{application_key}",
        "method": "PUT",
        "type": "operation",
        "route": "capsule\/property\/[a-zA-Z0-9]+\/[a-zA-Z0-9_]+$"
    },
    {
        "code": "{application_key}.{model_key}_property.delete",
        "name": "{application_name}应用-{model_name}表删除字段",
        "application_key": "{application_key}",
        "method": "DELETE",
        "type": "operation",
        "route": "capsule\/property\/[a-zA-Z0-9]+\/[a-zA-Z0-9_]+$"
    },
    {
        "code": "{application_key}.{model_key}_records.create",
        "name": "{application_name}应用-{model_name}表创建数据",
        "application_key": "{application_key}",
        "method": "POST",
        "type": "operation",
        "route": "capsule\/record"
    },
    {
        "code": "{application_key}.{model_key}_records.update",
        "name": "{application_name}应用-{model_name}表更新数据",
        "application_key": "{application_key}",
        "method": "PUT",
        "type": "operation",
        "route": "capsule\/^record\\/(^\\w*$)"
    },
    {
        "code": "{application_key}.{model_key}_records.delete",
        "name": "{application_name}应用-{model_name}表删除数据",
        "application_key": "{application_key}",
        "method": "DELETE",
        "type": "operation",
        "route": "capsule\/^record\\/(^\\w*$)"
    },
    {
        "code": "{application_key}.{model_key}_records.list",
        "name": "{application_name}应用-{model_name}表数据列表",
        "application_key": "{application_key}",
        "method": "GET",
        "type": "operation",
        "route": "capsule\/record"
    },
    {
        "code": "{application_key}.{model_key}_records.detail",
        "name": "{application_name}应用-{model_name}表数据详情",
        "application_key": "{application_key}",
        "method": "GET",
        "type": "operation",
        "route": "capsule\/^record\\/(^\\w*$)"
    },
    {
        "code": "{application_key}.{model_key}_records.sort",
        "name": "{application_name}应用-{model_name}表数据排序",
        "application_key": "{application_key}",
        "method": "POST",
        "type": "operation",
        "route": "capsule\/^record\\/sort\\/(^\\w*$)"
    }
]