<?php

namespace Center\Capsule\Services\Property\Build\Alter;


use Center\Capsule\Services\Property\Build\Alter;
use Center\Capsule\Services\Property\Build\AttachmentProperty;
use Center\Capsule\Services\Property\Interfaces\AlterInterface;

class AttachmentAlter extends Alter implements AlterInterface
{
    /**
     * @var AttachmentProperty
     */
    public $property = null;

    public function setProperty(AttachmentProperty $property)
    {
        $this->property = $property;
        return $this;
    }

    /**
     * make
     *
     * @return AttachmentProperty
     */
    public function make()
    {
        return $this->property->setAlter(true);
    }

}