<?php

namespace Center\Capsule\Services\Property\Build\Alter;

use Center\Capsule\Services\Property\Build\Alter;
use Center\Capsule\Services\Property\Build\JsonProperty;
use Center\Capsule\Services\Property\Interfaces\AlterInterface;

class JsonAlter extends Alter implements AlterInterface
{
    /**
     * @var JsonProperty
     */
    public $property = null;

    public function setProperty(JsonProperty $property)
    {
        $this->property = $property;
        return $this;
    }


    public function make()
    {
        return $this->property->setAlter(true);
    }
}