<?php

namespace Center\Capsule\Services\Property\Build\Alter;


use Center\Capsule\Services\Property\Build\Alter;
use Center\Capsule\Services\Property\Build\TextProperty;
use Center\Capsule\Services\Property\Interfaces\AlterInterface;

class TextAlter extends Alter implements AlterInterface
{
    /**
     * @var TextProperty
     */
    public $property = null;

    public function setProperty(TextProperty $property)
    {
        $this->property = $property;
        return $this;
    }

    public function make()
    {
        return $this->property->setAlter(true);
    }
}