<?php

namespace Center\Capsule\Services\Property\Preset\Conf;


use Center\Capsule\Constants\PropertyConst;
use Center\Capsule\Services\Property\Preset\Conf\Traits\OptionTrait;


class VarCharProperty
{
    use OptionTrait;

    public static function conf()
    {
        return [
            "key"    => "",
            "name"   => "文本",
            "type"   => "varchar",
            "option" => [
                "type"       => [
                    "phone"   => [
                        "max" => 13
                    ],
                    "url"     => [
                        "max" => 100
                    ],
                    "email"   => [
                        "max" => 100
                    ],
                    "default" => [
                        "max" => 255
                    ]
                ],
                "visibility" => PropertyConst::$visibility['show']['value'],
                "value"      => ""
            ]
        ];
    }

}