<?php

namespace Center\Capsule\Services\Property;


use Center\Capsule\Models\ModelProperties;

class SortService
{
    /**
     * sort
     *
     * @param $positionEntityId
     * @param $id
     * @return bool
     * @throws \Rutorika\Sortable\SortableException
     */
    public function sort($positionEntityId, $id)
    {
        /**
         * @var ModelProperties $entity
         */
        $entity         = ModelProperties::findOrFail((int)$id);
        $positionEntity = ModelProperties::findOrFail((int)$positionEntityId);

        if (request()->get('type') == 'after') {
            $entity->moveAfter($positionEntity);
        } else {
            $entity->moveBefore($positionEntity);
        }

        return true;
    }
}