# 开放模型2.0

## Dependency
- php: ^7.2
- doctrine/dbal: ^2.10
- fideloper/proxy: ^4.0,
- laravel/framework: ^6.2,
- laravel/helpers: ^1.2,
- laravel/tinker: ^2.0,
- rutorika/sortable: ^7.0,
- symfony/translation: 4.3.8,
- guzzlehttp/guzzle: ^6.,
- overlu/laravel-reget: ^1.0,
- godruoyi/php-snowflake: ^1.0

## Feature  
> 基于开放模型1.0基础上，优化设计,高内聚，低耦合。新增特性如下:  

- 整个组件Composer化，所有参数配置化,中台化。
- 优化数据绑定校验,加入过滤组件。
- 优化支持Model alias。
- 加入枚举属性类型。
- 优化Model生成。
- 属性支持排序。
- 自动生成modelMap，方便上层调用获取。
- 数据查询支持key-value形式。

## Fixed
- 生成model时未将主键写入固定属性中
- 将 biginter 类型转为字符串

## Install
```
//1. Add this Satis repository to your composer.json
{
  "repositories": [{
    "type": "composer",
    "url": "http://composer.zyimm.com"
  }]
}
//2. composer install
composer require center/capsule

//3. publish
php artisan vendor:publish --tag=capsule
```

