<?php

namespace Center\Capsule\Services\Extra;


use Illuminate\Pagination\LengthAwarePaginator;

class PaginatorService extends LengthAwarePaginator
{
    public function toArray()
    {
        return [
            'data'      => $this->items->toArray(),
            'page_info' => [
                'total' => $this->total(),
                'count' => $this->perPage(),
                'page'  => $this->currentPage()
            ],
        ];
    }
}
