<?php

namespace Center\Capsule\Services\Property\Build\Alter;


use Center\Capsule\Services\Property\Build\Alter;
use Center\Capsule\Services\Property\Build\DateProperty;
use Center\Capsule\Services\Property\Interfaces\AlterInterface;

class DateAlter extends Alter implements AlterInterface
{
    /**
     * @var DateProperty
     */
    public $property = null;

    public function setProperty(DateProperty $property)
    {
        $this->property = $property;
        return $this;
    }

    /**
     * make
     *
     * @return DateProperty
     */
    public function make()
    {
        return $this->property->setAlter(true);
    }

}