<?php

namespace Center\Capsule\Services\Property\Build\Alter;


use Center\Capsule\Services\Property\Build\Alter;
use Center\Capsule\Services\Property\Build\LocateProperty;
use Center\Capsule\Services\Property\Interfaces\AlterInterface;

class LocateAlter extends Alter implements AlterInterface
{
    /**
     * @var LocateProperty
     */
    public $property = null;

    public function setProperty(LocateProperty $property)
    {
        $this->property = $property;
        return $this;
    }


    public function make()
    {
        return $this->property->setAlter(true);
    }
}