<?php

namespace Center\Capsule\Services\Property\Build\Alter;


use Center\Capsule\Services\Property\Build\Alter;
use Center\Capsule\Services\Property\Build\RelationProperty;
use Center\Capsule\Services\Property\Interfaces\AlterInterface;

class RelationAlter extends Alter implements AlterInterface
{
    /**
     * @var RelationProperty
     */
    public $property = null;

    public function setProperty(RelationProperty $property)
    {
        $this->property = $property;
        return $this;
    }


    public function make()
    {
        return $this->property->setAlter(true);
    }
}
