<?php

namespace Center\Capsule\Services\Property\Interfaces;


interface PropertyInterface
{
    /**
     * 绑定数据到当前对象
     *
     * @return mixed
     */
    public function bind();

    /**
     * 绑定指定模型上
     *
     * @return mixed
     */
    public function bindModel();

    /**
     * 更新属性
     *
     * @return mixed
     */
    public function update();

}