<?php

namespace Center\Capsule\Services\Property\Preset\Conf;


use Center\Capsule\Services\Property\Preset\Conf\Traits\OptionTrait;

class DateProperty
{
    use OptionTrait;

    public static function conf()
    {
        return [
            "key"        => "",
            "name"       => "日期",
            "type"       => "date",
            "option"     => [
                "​date_format" => "",
                "type" => [
                    "year"=>'2019',
                    "date"=>'2019-01-01',
                    "date_time"=>'2019-01-01 00:00:00'
                ]
            ],
            "visibility" => 1,
            "value"      => ""
        ];
    }
}