<?php

namespace Center\Capsule\Services\Property\Preset\Conf;


use Center\Capsule\Constants\PropertyConst;
use Center\Capsule\Services\Property\Preset\Conf\Traits\OptionTrait;

class NumberProperty
{
    use OptionTrait;
    public static function conf()
    {
        return [
            "key"        => "",
            "name"       => "数字类型",
            "type"       => "number",
            "option"     => [
                "type"     => [
                    "decimal" => [
                        "point" => 10,
                        "digit" => 2
                    ],
                    "inter"   => [
                        "int"      => 10,
                        "tinyint"  => 3,
                        "smallint" => 5
                    ]
                ],
                "unsigned" => PropertyConst::$unsigned['enable']['value']

            ],
            "visibility" => PropertyConst::$visibility['show']['value'],
            "value"      => 1
        ];
    }

}