<?php

namespace Center\Capsule\Services\Property\Preset;

use Center\Capsule\Models\PresetProperties;

class PresetGetService
{

    /**
     * getModelKeyName
     *
     * @return string|null
     */
    public function getModelKeyName()
    {
        static $key = null;
        if(is_null($key)){
            $key =  (new PresetProperties())->getKeyName();
        }
        return $key;
    }



    /**
     * 获取预设属性
     *
     * @return mixed
     */
    public function getList()
    {
        return PresetProperties::enable()
            ->select(PresetProperties::filedMap())
            ->get()->makeHidden($this->getModelKeyName());
    }
}