<?php

namespace Center\Capsule\Services\Record;

use Center\Capsule\Services\Record\Resolve\Collect;
use Center\Capsule\Services\Record\Resolve\Insert;
use Center\Capsule\Services\Record\Resolve\Put;
use Illuminate\Support\Str;


class RecordService
{
    protected $service = null;

    /**
     * instance
     *
     * @param          $service
     * @param  null  $callback
     * @return Collect|Put|Insert
     * @author 周阳阳 09点26分
     */
    public function instance($service, $callback = null)
    {
        $service       = "Center\\Capsule\\Services\\Record\\Resolve\\" . Str::studly($service);
        $this->service = new $service;
        if($callback instanceof \Closure){
            call_user_func($callback, $this->service);
        }
        return $this->service;
    }
}
