<?php

namespace Center\Capsule\Services;


class ServiceException extends \Exception
{
    public function __construct($message = "", $code = 0, \Throwable $previous = null)
    {
        $message = trans('messages.' . $message);
        if (is_array($message)) {
            foreach ($message as $k => $v) {
                $$k = $v;
            }
        } else {
            $code = ($code > 6500) ? $code : $code + 6500;
            list($error_code, $error_message) = [
                $code,
                $message
            ];
        }
        $this->message = $error_message;
        $this->code    = $error_code;
    }
}